libetonyek::IWORKSubDirStream Class Reference documentation

Public Member Functions | Private Attributes | List of all members
libetonyek::IWORKSubDirStream Class Reference

`#include <IWORKSubDirStream.h>`

Inheritance diagram for libetonyek::IWORKSubDirStream:

## Public Member Functions
| IWORKSubDirStream (const RVNGInputStreamPtr_t &parent, const std::string &dir)
| ~IWORKSubDirStream () override
bool | isStructured () override
unsigned | subStreamCount () override
const char * | subStreamName (unsigned id) override
bool | existsSubStream (const char *) override
librevenge::RVNGInputStream * | getSubStreamByName (const char *name) override
librevenge::RVNGInputStream * | getSubStreamById (unsigned id) override
const unsigned char * | read (unsigned long numBytes, unsigned long &numBytesRead) override
int | seek (long offset, librevenge::RVNG_SEEK_TYPE seekType) override
long | tell () override
bool | isEnd () override

## Private Attributes
const RVNGInputStreamPtr_t | m_parent
const std::string | m_dir

## Constructor & Destructor Documentation

## ◆ IWORKSubDirStream()

libetonyek::IWORKSubDirStream::IWORKSubDirStream | ( | const RVNGInputStreamPtr_t & | parent,
|  | const std::string & | dir )

## ◆ ~IWORKSubDirStream()

libetonyek::IWORKSubDirStream::~IWORKSubDirStream | ( |  | ) |
| override

## Member Function Documentation

## ◆ existsSubStream()

bool libetonyek::IWORKSubDirStream::existsSubStream | ( | const char * | name | ) |
| override

## ◆ getSubStreamById()

librevenge::RVNGInputStream * libetonyek::IWORKSubDirStream::getSubStreamById | ( | unsigned | id | ) |
| override

## ◆ getSubStreamByName()

librevenge::RVNGInputStream * libetonyek::IWORKSubDirStream::getSubStreamByName | ( | const char * | name | ) |
| override

## ◆ isEnd()

bool libetonyek::IWORKSubDirStream::isEnd | ( |  | ) |
| override

## ◆ isStructured()

bool libetonyek::IWORKSubDirStream::isStructured | ( |  | ) |
| override

## ◆ read()

const unsigned char * libetonyek::IWORKSubDirStream::read | ( | unsigned long | numBytes,
|  | unsigned long & | numBytesRead )
| override

## ◆ seek()

int libetonyek::IWORKSubDirStream::seek | ( | long | offset,
|  | librevenge::RVNG_SEEK_TYPE | seekType )
| override

## ◆ subStreamCount()

unsigned libetonyek::IWORKSubDirStream::subStreamCount | ( |  | ) |
| override

## ◆ subStreamName()

const char * libetonyek::IWORKSubDirStream::subStreamName | ( | unsigned | id | ) |
| override

## ◆ tell()

long libetonyek::IWORKSubDirStream::tell | ( |  | ) |
| override

## Member Data Documentation

## ◆ m_dir

const std::string libetonyek::IWORKSubDirStream::m_dir
| private

Referenced by existsSubStream(), and getSubStreamByName().

## ◆ m_parent

const RVNGInputStreamPtr_t libetonyek::IWORKSubDirStream::m_parent
| private

Referenced by existsSubStream(), getSubStreamByName(), and IWORKSubDirStream().

The documentation for this class was generated from the following files:

- IWORKSubDirStream.h
- IWORKSubDirStream.cpp